Faire un Lisp sans connaissance, gratuitement et légalement

Allez sur cette adresse :
https://www.perplexity.ai/

dites lui que vous voulez créer un lisp pour AutoCAD®,
faisant telle chose en n’oubliant pas d’être le plus précis possible

exemple : me créer un lisp pour AutoCAD®, me mettant tous les points du dessin à la taille 3% par rapport à l’écran avec la commande ddptype

sa réponse :
https://www.perplexity.ai/search/me-crer-un-Pm3aPZ18T2ubR2V4GkJ1WA

1 Like

Pas possible de voir le résultat avec le lien fourni mais on peut relancer le prompt.

Merci, effectivement ces IA sont étonnantes, en gardant à l’esprit que :

Par curiosité j’ai demandé à Claude Sonnet 3.5 de générer ce Lisp, voici le résultat :

Voici un script LISP pour AutoCAD® qui ajuste la taille de tous les points du dessin à 3% de la taille de l’écran en utilisant la commande DDPTYPE :

(defun C:SetPointSize3Percent ()
  (vl-load-com)
  (setq acadObj (vlax-get-acad-object))
  (setq doc (vla-get-ActiveDocument acadObj))
  
  ; Ouvrir la boîte de dialogue DDPTYPE
  (command "DDPTYPE")
  
  ; Calculer 3% de la hauteur de l'écran
  (setq screenHeight (getvar "SCREENSIZE"))
  (setq pointSize (* screenHeight 0.03))
  
  ; Définir la taille du point
  (setq ptypeObj (vla-get-PdMode doc))
  (vla-put-PdSize ptypeObj pointSize)
  
  ; Mettre à jour l'affichage
  (vla-Regen doc acAllViewports)
  
  (princ "\nTaille des points définie à 3% de la hauteur de l'écran.")
  (princ)
)

; Pour exécuter la fonction, tapez SetPointSize3Percent dans la ligne de commande AutoCAD

Pour utiliser ce script :

  1. Copiez ce code dans un éditeur de texte.
  2. Enregistrez-le avec une extension .lsp (par exemple « SetPointSize3Percent.lsp »).
  3. Chargez le fichier dans AutoCAD® en utilisant la commande APPLOAD.
  4. Tapez SetPointSize3Percent dans la ligne de commande AutoCAD® pour exécuter la fonction.

Ce script fait les choses suivantes :

  1. Il ouvre la boîte de dialogue DDPTYPE.
  2. Il calcule 3% de la hauteur de l’écran.
  3. Il définit la taille des points à cette valeur.
  4. Il met à jour l’affichage pour refléter les changements.

Notez que ce script utilise l’interface ActiveX d’AutoCAD® pour certaines opérations, ce qui le rend compatible avec les versions récentes d’AutoCAD®.

Voulez-vous que je vous explique certaines parties du code plus en détail ?